組織向け

店舗・商品マスタAPI

ビジネスアカウントに属する店舗と、その商品マスタを取得します。外部システムとマスタを突き合わせる際の起点です。

api/v1/me/organizations/{organizationId}/stores 在 API 參考文件中查看

端點清單

方法 路徑 說明 回應
GET /api/v1/me/organizations/{organizationId}/stores 店舗を一覧取得
ログイン中の利用者が属するビジネスアカウントの店舗を返します。
200
GET /api/v1/me/organizations/{organizationId}/stores/{storeId} 店舗詳細を取得
住所・営業時間・連絡先を含む店舗情報を返します。
200 404
GET /api/v1/products 商品を一覧取得
商品マスタを取得します(/api/v1/products)。
200
GET /api/v1/products/{productId} 商品詳細を取得
バリエーションを含む商品情報を返します。
200 404

端點詳細資訊

ログイン中の利用者が属するビジネスアカウントの店舗を返します。

完整路徑: GET /api/v1/me/organizations/{organizationId}/stores
回應碼: 200

住所・営業時間・連絡先を含む店舗情報を返します。

完整路徑: GET /api/v1/me/organizations/{organizationId}/stores/{storeId}
回應碼: 200 404

商品マスタを取得します(/api/v1/products)。

完整路徑: GET /api/v1/products
回應碼: 200

バリエーションを含む商品情報を返します。

完整路徑: GET /api/v1/products/{productId}
回應碼: 200 404

請求範例

請求
GET /api/v1/me/organizations/{organizationId}/stores
Authorization: Bearer {access_token}
回應
{
  "count": 2,
  "stores": [
    { "storeId": "21cc…", "name": "レストランABC" }
  ]
}
關於驗證

使用此 API 需要 Authorization: Bearer {access_token} 標頭。取得權杖的方式請參閱驗證指南。

查看驗證與存取 API